
function F=MyFunction(unknown_var)


beta_nr = 0.94;
beta_r  = 0.94;
tau = 2;
delta = 0.035;
phi = 0.5;
NU = 0.3;
SIGMA = 0.5;
rho = 0.5;
m = 0.5;


R = 1/beta_r ;
R_K = 1/beta_nr - 1 - delta ;
oo1 = R_K - delta ;
oo2 = 1 + oo1*(NU/R_K)*(1/((1-NU)*SIGMA)) ;
N_r = 1/(1+tau);
N_nr = 1/(1+oo2*tau) ;


K=unknown_var(1);
W_nr=unknown_var(2);
W_r =unknown_var(3);
x =unknown_var(4);
y =unknown_var(5);

F(1) = (1-NU)*SIGMA*N_nr^((1-NU)*SIGMA - 1) * K^(NU) *( m*x^(rho) + (1-m)*N_r^(rho) )^((1-NU)*(1-SIGMA)/rho) - W_nr ;
F(2) = N_nr^((1-NU)*SIGMA)*(1-SIGMA)*(1-NU) * K^(NU) *( m*x^(rho) + (1-m)*N_r^(rho) )^(((1-NU)*(1-SIGMA)/rho) - 1)*(1-m)*N_r^(rho-1) - W_r ;
F(3) = N_nr^((1-NU)*SIGMA)*(1-SIGMA)*(1-NU) * K^(NU) *( m*x^(rho) + (1-m)*N_r^(rho) )^(((1-NU)*(1-SIGMA)/rho) - 1)*m*x^(rho-1) - phi;
F(4) = K - y*NU/R_K  ;
F(5) = y - K^(NU)*N_nr^((1-NU)*SIGMA)*( m*x^(rho) + (1-m)*N_r^(rho) )^((1-NU)*(1-SIGMA)/rho ) ;

end 